#include "networkServer.hpp"

/*
 * CONSTRUCTORS
 */

// Used to generate the first server; instantiates BGN for the first time
PrsonaNetworkServer::PrsonaNetworkServer(size_t numServers)
: PrsonaServer(numServers)
{ /* Do nothing */ }

// Used for all other servers, so they have the same BGN parameters
PrsonaNetworkServer::PrsonaNetworkServer(size_t numServers, const BGN& otherBgn)
: PrsonaServer(numServers, otherBgn)
{ /* Do nothing */ }
